Operio Docs
API referenceTest runs

List runs

GET
/v1/projects/{projectId}/test-runs
AuthorizationBearer <token>

Session JWT or personal API token (op_...). Same header for both.

In: header

Path Parameters

projectId*string

Query Parameters

id?string
ids?array<string>
projectId?string
testCaseId?string
testCaseIds?array<string>
testSuiteId?string
createdBy?string
status?string

Value in

  • "pending"
  • "queued"
  • "running"
  • "error"
  • "failed"
  • "completed"
  • "stopping"
  • "stopped"
statuses?array<>
search?string
startDate?string
Formatdate-time
endDate?string
Formatdate-time
limit*
offset*

Response Body

application/json

curl -X GET "https://example.com/v1/projects/string/test-runs"
{}